package com.steerinfo.ems.emssafeinfo.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.emssafeinfo.model.EmsSafeinfo;
import com.steerinfo.framework.service.pagehelper.PageList;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * EmsSafeinfo服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2023-05-15 10:07
 * 类描述
 * 修订历史：
 * 日期：2023-05-15
 * 作者：generator
 * 参考：
 * 描述：EmsSafeinfo服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsSafeinfoService extends IBaseService<EmsSafeinfo, String>{
    List<EmsSafeinfo> batchImport(String fileName, MultipartFile file) throws Exception;

    List<EmsSafeinfo> getList(Map<String, Object> parameters);

    PageList<EmsSafeinfo> queryForPage2(String dates, String dates2, String[] hazard, String[] process, Integer pageNum, Integer pageSize);

}