package com.steerinfo.feigen.service;


import com.steerinfo.feigen.model.GxWeight;
import com.steerinfo.feigen.model.XgWeight;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient("xt-ems-datasource")
@Component
public interface XgWeightFeigenService {

    @GetMapping("v1/xGweight/QueryWeightforRound")
    public List<XgWeight> QueryWeightforRound(@RequestParam("startTime")String startTime, @RequestParam("endTime")String endTime);
}
