package com.steerinfo.ems.temergencymaterials.model;


import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "null")
public class TEmergencymaterials implements IBasePO<String> {

    /**
     * 序号
     * @return
     */
    @ApiModelProperty(value = "序号",required =  false)
    private Integer tno;

    /**
     * 工序编码
     * @return
     */
    @ApiModelProperty(value = "工序编码",required = false)
    private String gx_code;

    /**
     * 工序名称
     * @return
     */
    @ApiModelProperty(value = "工序名称",required = false)
    private String gx_name;

    /**
     * 应急物资地点
     * @return
     */
    @ApiModelProperty(value = "应急物资地点",required = true)
    private String yjwz_dd;

    /**
     * 应急物资联系人
     * @return
     */
    @ApiModelProperty(value = "应急物资联系人",required = true)
    private String yjwz_ry;

    /**
     * 联系电话
     * @return
     */
    @ApiModelProperty(value = "联系电话",required = true)
    private String lxdh;

    /**
     * 物资大类名称
     * @return
     */
    @ApiModelProperty(value = "物资大类名称",required = true)
    private String wzdl_name;

    /**
     * 物资类别名称
     * @return
     */
    @ApiModelProperty(value = "物资类别名称",required = true)
    private String wzlb_name;

    /**
     * 设备名称
     * @return
     */
    @ApiModelProperty(value = "设备名称",required = false)
    private String sbmc_name;

    /**
     * 型号
     * @return
     */
    @ApiModelProperty(value = "型号",required = true)
    private String xh;

    /**
     * 物资单位
     * @return
     */
    @ApiModelProperty(value = "物资单位",required = true)
    private String dw;

    /**
     * 黄色预警值
     * @return
     */
    @ApiModelProperty(value = "黄色预警值",required = true)
    private String hsyjz1;

    /**
     * 红色预警值
     * @return
     */
    @ApiModelProperty(value = "红色预警值",required = true)
    private String hsyjz2;

    /**
     * 创建人
     * @return
     */
    @ApiModelProperty(value = "创建人",required = true)
    private String cjr;


    /**
     * 创建时间
     * @return
     */
    @ApiModelProperty(value = "创建时间",required = true)
    private String cjsj;

    /**
     * 备注
     * @return
     */
    @ApiModelProperty(value = "备注",required = true)
    private String memo;

    /**
     * 库存量
     * @return
     */
    @ApiModelProperty(value = "库存量",required = true)
    private String kcl;

    @Override
    public String getId() {
        return null;
    }

    @Override
    public void setId(String s) {

    }

    public Integer getTno() {
        return tno;
    }

    public void setTno(Integer tno) {
        this.tno = tno;
    }

    public String getGx_code() {
        return gx_code;
    }

    public void setGx_code(String gx_code) {
        this.gx_code = gx_code;
    }

    public String getGx_name() {
        return gx_name;
    }

    public void setGx_name(String gx_name) {
        this.gx_name = gx_name;
    }

    public String getYjwz_dd() {
        return yjwz_dd;
    }

    public void setYjwz_dd(String yjwz_dd) {
        this.yjwz_dd = yjwz_dd;
    }

    public String getYjwz_ry() {
        return yjwz_ry;
    }

    public void setYjwz_ry(String yjwz_ry) {
        this.yjwz_ry = yjwz_ry;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getWzdl_name() {
        return wzdl_name;
    }

    public void setWzdl_name(String wzdl_name) {
        this.wzdl_name = wzdl_name;
    }

    public String getWzlb_name() {
        return wzlb_name;
    }

    public void setWzlb_name(String wzlb_name) {
        this.wzlb_name = wzlb_name;
    }

    public String getSbmc_name() {
        return sbmc_name;
    }

    public void setSbmc_name(String sbmc_name) {
        this.sbmc_name = sbmc_name;
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getDw() {
        return dw;
    }

    public void setDw(String dw) {
        this.dw = dw;
    }

    public String getHsyjz1() {
        return hsyjz1;
    }

    public void setHsyjz1(String hsyjz1) {
        this.hsyjz1 = hsyjz1;
    }

    public String getHsyjz2() {
        return hsyjz2;
    }

    public void setHsyjz2(String hsyjz2) {
        this.hsyjz2 = hsyjz2;
    }

    public String getCjr() {
        return cjr;
    }

    public void setCjr(String cjr) {
        this.cjr = cjr;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getKcl() {
        return kcl;
    }

    public void setKcl(String kcl) {
        this.kcl = kcl;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", tno=").append(tno);
        sb.append(", gx_code=").append(gx_code);
        sb.append(", gx_name=").append(gx_name);
        sb.append(", yjwz_dd=").append(yjwz_dd);
        sb.append(", yjwz_ry=").append(yjwz_ry);
        sb.append(", lxdh=").append(lxdh);
        sb.append(", wzdl_name=").append(wzdl_name);
        sb.append(", wzlb_name=").append(wzlb_name);
        sb.append(", sbmc_name=").append(sbmc_name);
        sb.append(", xh=").append(xh);
        sb.append(", dw=").append(dw);
        sb.append(", hsyjz1=").append(hsyjz1);
        sb.append(", hsyjz2=").append(hsyjz2);
        sb.append(", cjr=").append(cjr);
        sb.append(", cjsj=").append(cjsj);
        sb.append(", memo=").append(memo);
        sb.append(", kcl=").append(kcl);
        sb.append("]");
        return sb.toString();
    }
}
