package com.steerinfo.ems.tfileoperate.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class TFileOperate implements IBasePO<String> {
    /**
     * 上传文件ID(FILE_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="上传文件ID",required=true)
    private String fileId;

    /**
     * 所属节点ID(NODE_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="所属节点ID",required=false)
    private String nodeId;

    /**
     * 文件名(FILE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="文件名",required=false)
    private String fileName;

    /**
     * 上传文件路径(FILE_PATH,VARCHAR,30)
     */
    @ApiModelProperty(value="上传文件路径",required=false)
    private String filePath;

    /**
     * 上传文件类型(FILE_TYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="上传文件类型",required=false)
    private String fileType;

    /**
     * 上传时间(CREATETIME,VARCHAR,20)
     */
    @ApiModelProperty(value="上传时间",required=false)
    private String createtime;

    /**
     * 修改时间(UPDATETIME,VARCHAR,20)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String updatetime;

    /**
     * 上传人(CREATEMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="上传人",required=false)
    private String createman;

    /**
     * 修改人(UPDATEMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 备注(BZ,VARCHAR,30)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.fileId;
    }

    @Override
    public void setId(String fileId) {
        this.fileId = fileId == null ? null : fileId.trim();
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId == null ? null : fileId.trim();
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId == null ? null : nodeId.trim();
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath == null ? null : filePath.trim();
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType == null ? null : fileType.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime == null ? null : updatetime.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", fileId=").append(fileId);
        sb.append(", nodeId=").append(nodeId);
        sb.append(", fileName=").append(fileName);
        sb.append(", filePath=").append(filePath);
        sb.append(", fileType=").append(fileType);
        sb.append(", createtime=").append(createtime);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", createman=").append(createman);
        sb.append(", updateman=").append(updateman);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}